Package Gnumed :: Package timelinelib :: Package calendar :: Package num :: Module timetype :: Class NumTimeType |
[frames] | no frames]

# Class NumTimeType

source code

           object --+
                    |
    timetype.TimeType --+
                        |
                       NumTimeType

The class.

Instance Methods
__eq__(self, other) | source code
__ne__(self, other) | source code
time_string(self, time) | source code
parse_time(self, time_string) | source code
get_navigation_functions(self) | source code
format_period(self, time_period) Returns a unicode string describing the time period. | source code
format_delta(self, delta) | source code
get_min_time(self) | source code
get_max_time(self) | source code
choose_strip(self, metrics, appearance) | source code
get_default_time_period(self) | source code
now(self) | source code
get_min_zoom_delta(self) | source code
get_name(self) | source code
get_duplicate_functions(self) | source code
supports_saved_now(self) | source code
create_time_picker(self, parent, *args, **kwargs) | source code
create_period_picker(self, parent, *args, **kwargs) | source code
Inherited from `timetype.TimeType`: `is_special_day`, `is_weekend_day`, `set_saved_now` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### time_string(self, time) | source code
Overrides: timetype.TimeType.time_string

### parse_time(self, time_string) | source code
Overrides: timetype.TimeType.parse_time

### get_navigation_functions(self) | source code
Overrides: timetype.TimeType.get_navigation_functions

### format_period(self, time_period) | source code
Returns a unicode string describing the time period. Overrides: timetype.TimeType.format_period

### format_delta(self, delta) | source code
Overrides: timetype.TimeType.format_delta

### get_min_time(self) | source code
Overrides: timetype.TimeType.get_min_time

### get_max_time(self) | source code
Overrides: timetype.TimeType.get_max_time

### choose_strip(self, metrics, appearance) | source code
Overrides: timetype.TimeType.choose_strip

### get_default_time_period(self) | source code
Overrides: timetype.TimeType.get_default_time_period

### now(self) | source code
Overrides: timetype.TimeType.now

### get_min_zoom_delta(self) | source code
Overrides: timetype.TimeType.get_min_zoom_delta

### get_name(self) | source code
Overrides: timetype.TimeType.get_name

### get_duplicate_functions(self) | source code
Overrides: timetype.TimeType.get_duplicate_functions

### supports_saved_now(self) | source code
Overrides: timetype.TimeType.supports_saved_now